/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.exchange.items.contact.model;

import java.util.Date;

import com.funambol.exchange.xml.XmlParser;
import com.funambol.exchange.xml.XmlParseException;

/**
 *
 * @version $Id: Contact.java,v 1.1 2006/08/08 07:49:13 gibi Exp $
 **/

public class Contact
extends com.funambol.foundation.pdi.contact.Contact {

    //------------------------------------------------------------- Private data

    private String     id                = null ;
    private String     userId            = null ;

    private String     href              = null ;

    private Date       lastUpdate        = null ;
    private char       status            = ' '  ;

    //------------------------------------------------------------- Constructors

    /**
     * Creates a Contact
     *
     */
    public Contact () {

    }

    /**
     * Creates a Contact
     *
     *
     * @param id client item id
     *
     */
    public Contact (String id) {

        this.id = id   ;

    }

    /**
     * Creates a Contact
     *
     *
     * @param id client item id
     * @param t client item timestamp
     *
     */
    public Contact (String id, Date t) {

        this.id         = id   ;
        this.lastUpdate = t    ;

    }

    /**
     * Creates a Contact
     *
     *
     * @param id client item id
     * @param status client item status
     *
     */
    public Contact (String id, char status) {

        this.id      = id     ;
        this.status  = status ;

    }

    /**
     * Creates a Contact
     *
     *
     * @param id client item id
     * @param href reference to the item
     * @param status client item state
     * @param lastUpdate last update of the item
     *
     */
    public Contact (String   id         ,
                    String   href       ,
                    char     status     ,
                    Date     lastUpdate ) {

        this.id             = id          ;
        this.href           = href        ;
        this.status         = status      ;
        this.lastUpdate     = lastUpdate  ;

    }


    //----------------------------------------------------------- Public methods


    public String getId()                      {
        return this.id;
    }

    public void setId(String id)               {
        this.id = id;
    }

    public String getUserId()                  {
        return this.userId;
    }

    public Date getLastUpdate()                {
        return this.lastUpdate;
    }

    public char getStatus()                    {
        return this.status;
    }

    public void setLastUpdate(Date lastUpdate) {
        this.lastUpdate = lastUpdate;
    }

    public void setStatus(char status)         {
        this.status = status;
    }

    public String getHref()                    {
        return this.href;
    }

    public void setHref(String href)           {
        this.href = href;
    }


}
